(*********************************************************)
(* Axis and Grid classes  for TSLXPolarChart             *)
(* distributed for free, non-commercial purpose          *)
(*  2007 by Sl-Alex http://www.sl-alex.nm.ru/           *)
(*********************************************************)
unit PolarAxis;

interface

uses Graphics, Classes;

type

//  
TSLXPolarAxis = class (TPen)
  private
    FOwner: TComponent;
    procedure FPenChange(Sender: TObject);
  public
    constructor Create(AOwner: TComponent);
    destructor Destroy; override;
  published
end;

//   
TSLXPolarExtCircle = TSLXPolarAxis;

//  
TSLXPolarGrid = TSLXPolarAxis;

//   
TSLXPolarIntCircle = class(TSLXPolarExtCircle)
  private
    FRadius: Integer; //    
    procedure FSetRadius(NewRadius: Integer);//    (   )
  public
  published
    property Raduis: Integer read FRadius write FSetRadius; //    
end;

implementation

uses PolarChart;

constructor TSLXPolarAxis.Create(AOwner: TComponent);
begin
  inherited Create;
  FOwner:=AOwner;
  OnChange:=FPenChange;
end;

destructor TSLXPolarAxis.Destroy;
begin
  inherited Destroy;
end;

procedure TSLXPolarAxis.FPenChange(Sender: TObject);
begin
  if FOwner<>nil then (FOwner as TSLXPolarChart).RepaintMem(True);
end;

procedure TSLXPolarIntCircle.FSetRadius(NewRadius: Integer);
begin
  FRadius:=NewRadius;
  if FOwner<>nil then (FOwner as TSLXPolarChart).RepaintMem(True);
end;

end.
