unit PolarLabels;

interface

uses Graphics, Classes;

type

TSLXLabel=class(TFont)
  private
    FOwner: TComponent;
    procedure FLabelChange(Sender: TObject);
  public
    constructor Create(AOwner: TComponent);
    destructor Destroy; override;
  published
end;

implementation

uses PolarChart;

constructor TSLXLabel.Create(AOwner: TComponent);
begin
  inherited Create;
  FOwner:=AOwner;
  OnChange:=FTitleChange;
  Size:=16;
  Style:=[fsBold];
  Color:=clNavy;
  FCaption:='Chart';
end;

destructor TSLXLabel.Destroy;
begin
  inherited Destroy;
end;

procedure TSLXTitle.FTitleChange(Sender: TObject);
begin
  (FOwner as TSLXPolarChart).Repaint;
end;

procedure TSLXTitle.FSetPosition(NewPosition: TSLXPosition);
begin
  FPosition:=NewPosition;
  (FOwner as TSLXPolarChart).Repaint;
end;

procedure TSLXTitle.FSetCaption(NewCaption: String);
begin
  FCaption:=NewCaption;
  (FOwner as TSLXPolarChart).Repaint;
end;

end.
