(*********************************************************)
(* Margin class for TSLXPolarChart component             *)
(* distributed for free, non-commercial purpose          *)
(*  2007 by Sl-Alex http://www.sl-alex.nm.ru/           *)
(*********************************************************)
unit PolarMargin;

interface

uses Classes;

//      
type TSLXMargin=class(TPersistent)
  private
    FOwner: TComponent;
    FLeft: Integer;
    FRight: Integer;
    FTop: Integer;
    FBottom: Integer;
    procedure FSetLeft(NewValue: Integer);
    procedure FSetRight(NewValue: Integer);
    procedure FSetTop(NewValue: Integer);
    procedure FSetBottom(NewValue: Integer);
  public
    constructor Create(AOwner: TComponent);
    destructor Destroy; override;
  published
    property Left:   Integer read FLeft   write FSetLeft;
    property Right:  Integer read FRight  write FSetRight;
    property Top:    Integer read FTop    write FSetTop;
    property Bottom: Integer read FBottom write FSetBottom;
end;

implementation

uses PolarChart;

constructor TSLXMargin.Create(AOwner: TComponent);
begin
  inherited Create;
  FOwner:=AOwner;
  FLeft:=10;
  FRight:=10;
  FTop:=25;
  FBottom:=10;
end;

destructor TSLXMargin.Destroy;
begin
  inherited Destroy;
end;

procedure TSLXMargin.FSetLeft(NewValue: Integer);
begin
  FLeft:=NewValue;
  (FOwner as TSLXPolarChart).RepaintMem(True);
end;

procedure TSLXMargin.FSetRight(NewValue: Integer);
begin
  FRight:=NewValue;
  (FOwner as TSLXPolarChart).RepaintMem(True);
end;

procedure TSLXMargin.FSetTop(NewValue: Integer);
begin
  FTop:=NewValue;
  (FOwner as TSLXPolarChart).RepaintMem(True);
end;

procedure TSLXMargin.FSetBottom(NewValue: Integer);
begin
  FBottom:=NewValue;
  (FOwner as TSLXPolarChart).RepaintMem(True);
end;

end.
